"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const runtime = require("../../../utils/vue/props/runtime.js");
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const typescript = require("../../../utils/typescript.js");
const upload = require("./upload.js");
const uploadListProps = runtime.buildProps({
  files: {
    type: runtime.definePropType(Array),
    default: () => typescript.mutable([])
  },
  disabled: {
    type: Boolean,
    default: void 0
  },
  handlePreview: {
    type: runtime.definePropType(Function),
    default: shared_esmBundler.NOOP
  },
  listType: {
    type: String,
    values: upload.uploadListTypes,
    default: "text"
  },
  crossorigin: { type: runtime.definePropType(String) }
});
const uploadListEmits = { remove: (file) => !!file };
exports.uploadListEmits = uploadListEmits;
exports.uploadListProps = uploadListProps;
